Scilab Function

scilab - script principal d'exécution de Scilab et de divers outils

### Sequence d'appel

  `scilab [-ns -nw -display display -f file -args arguments]`
  `scilab -help [ <key> ]`
  `scilab -k <key>`
  `scilab -xk <key>`
  `scilab -link <objects>`

### Description

- scilab [-ns -nw -display display -f path -args arguments] : exécution de Scilab
- -ns : si cette option est présente le script de démarrage `SCI/scilab.star` n'est pas exécuté.
- -nw : si cette option est présente Scilab n'est pas exécuté dans une fenêtre spécifique mais sur la ligne de commande.
- -f file : si cette option est présente le script `file` est exécuté en premier dans Scilab.
- -args arguments : si cette option est présente des arguments sont passés à Scilab. Ils peuvent être récupérés par la fonction `sciargs`. Les arguments multiples doivent être passés dans chaîne de caractères les contenant, séparés par des espaces `scilab -args 'foo1 foo2'`
- scilab -help <mot-clé> : affiche le help sur <mot-clé> (produit le même résultat que `help <mot-clé>` exécuté dans Scilab). Exemple:

    scilab -help plot3d

- scilab -k <mot-clé> : donne la liste des fonctions Scilab contenant <mot-clé> dans leur description (produit le même résultat que `apropos <mot-clé>` exécuté dans Scilab)
- scilab -xk <mot-clé> : donne dans une fenêtre graphique la liste des fonctions Scilab contenant <mot-clé> dans leur description (produit le même résultat que `apropos <mot-clé>` exécuté dans Scilab)
- scilab -link <objects> : est utilisé pour générer un `scilex` local (exécutable de Scilab) lié avec les fichiers additionnels donnés dans `<objects>`. Si, dans la liste des fichiers objets, certains noms sont connus dans `SCIDIR/routines/default`, les fichiers objets par utilisés par défaut par `scilex` sont omis et remplacés par les fichiers précisés. Cette commande produit aussi un script `xscilab`, qui lance l'exécution du nouveau `scilex`.

Par exemple :

    scilab -link  C/interf.o C/evol.o C/bib.a

crée un nouveau `scilex` dans le quel le fichier `interf.o` par défaut sera remplacé par `C/interf.o`.